Bug 203774 - Review Request: xcircuit - Electronic circuit schematic drawing program
Review Request: xcircuit - Electronic circuit schematic drawing program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-23 14:02 EDT by Chitlesh GOORAH
Modified: 2008-11-10 11:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-27 01:09:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Build log of 3.4.26-2 withOUT mock (122.56 KB, text/plain)
2006-08-25 04:56 EDT, Mamoru TASAKA
no flags Details
Build log of 3.4.26-2 WITH mock (119.47 KB, text/plain)
2006-08-25 05:01 EDT, Mamoru TASAKA
no flags Details
snapshot of xcircuit build in mock (33.55 KB, image/png)
2006-08-25 11:22 EDT, Mamoru TASAKA
no flags Details
snapshot of xcircuit build by usual rpmbuild (51.92 KB, image/png)
2006-08-25 11:26 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Chitlesh GOORAH 2006-08-23 14:02:12 EDT
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-1.src.rpm
Description:
Xcircuit is a general-purpose drawing program and also a specific-purpose
CAD program for circuit schematic drawing and schematic capture.
Comment 1 Mamoru TASAKA 2006-08-24 01:43:37 EDT
Well, as far as I check this rpm very quickly,
the packaging issue is almost okay.

# rpmlint is clean.
# mock build okay.

* Source:    http://xcircuit.ece.jhu.edu/...
  They say that http://xcircuit.ece.jhu.edu/ is obsolete, and I can
  find this source on:
  http://opencircuitdesign.com/xcircuit/archive/xcircuit-3.4.26.tgz .

* %patch0 -p0 -b .
  For kindness, please add some suffix.

* %post
  if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  Require %{_bindir}/gtk-update-icon-cache on post and postun.

* The included file /usr/lib/xcircuit-3.4/man/xcircuit.1 is
  necessary?

* I don't know well how to use this, however, when I launch this
  by just typing "xcircuit &", then I see the following error
  message:

loading history file ... 1 events added
error in slave eval:
image type "xpm" doesn't exist
Main console display active (Tcl8.4.13 / Tk8.4.13)

  Is this okay?
Comment 2 Chitlesh GOORAH 2006-08-24 14:24:51 EDT
(In reply to comment #1)
> Well, as far as I check this rpm very quickly,
> the packaging issue is almost okay.
> 
> # rpmlint is clean.
> # mock build okay.
> 
> * Source:    http://xcircuit.ece.jhu.edu/...
>   They say that http://xcircuit.ece.jhu.edu/ is obsolete, and I can
>   find this source on:
>   http://opencircuitdesign.com/xcircuit/archive/xcircuit-3.4.26.tgz .
> 
> * %patch0 -p0 -b .
>   For kindness, please add some suffix.
> 
> * %post
>   if [ -x %{_bindir}/gtk-update-icon-cache ]; then
>   Require %{_bindir}/gtk-update-icon-cache on post and postun.

Corrected.

> * The included file /usr/lib/xcircuit-3.4/man/xcircuit.1 is
>   necessary?

Manual :)

> * I don't know well how to use this, however, when I launch this
>   by just typing "xcircuit &", then I see the following error
>   message:
> 
> loading history file ... 1 events added
> error in slave eval:
> image type "xpm" doesn't exist
> Main console display active (Tcl8.4.13 / Tk8.4.13)
> 
>   Is this okay?
> 

Actually, I was unable to recreate this on my FC5. Check again with the updated
srpm.

Updated:
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-2.src.rpm
Comment 3 Mamoru TASAKA 2006-08-25 01:17:10 EDT
Assigning to me.

* manual file issue
>> * The included file /usr/lib/xcircuit-3.4/man/xcircuit.1 is
>>   necessary?

> Manual :)

Well, I should have explained why I asked for this manual.
My build log by using mock says:

......
/usr/bin/install -c -m 644 lib/xcircuit.1
/var/tmp/xcircuit-3.4.26-2.fc6-root-mockbuild/usr/lib/xcircuit-3.4/man/xcircuit.1
......
/usr/bin/install -c -m 644 './lib/xcircuit.1'
'/var/tmp/xcircuit-3.4.26-2.fc6-root-mockbuild/usr/share/man/man1/xcircuit.1'
......

So, actually the file /usr/lib/xcircuit-3.4/man/xcircuit.1 and
/usr/share/man/man1/xcircuit.1.gz are the same. So I mentioned that
/usr/lib/xcircuit-3.4/man/xcircuit.1 may be unnecessary.

* desktop-file-install --vendor fedora \
     -add-category Engineering \
This requires 
"update-desktop-database /usr/share/applications" on
%post and %postun stage and adding %{_bindir}/update-desktop-database
to Requires(post), Requires(postun) .

Now /usr/share/applications/fedora-xcircuit.desktop says:
---------------------
[Desktop Entry]
Encoding=UTF-8
Name=XCircuit
Exec=xcircuit
Icon=xcircuit
Type=Application
Terminal=false
GenericName=xcircuit
Categories=Qt;KDE;Education;Science;X-Fedora;Engineering;
X-Desktop-File-Install-Version=0.10
---------------------
Does Qt or KDE required? I still gain the following error message:
---------------------
loading history file ... 1 events added
error in slave eval:
image type "xpm" doesn't exist
Main console display active (Tcl8.4.13 / Tk8.4.13)
(xcircuit) 2 % 
---------------------
Is this message related to Qt or KDE? Please check why I get
this message or tell me what other information you want to
diagnose this.
 
Comment 4 Chitlesh GOORAH 2006-08-25 03:45:11 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-3.src.rpm

Since I'm unable to recreate the "image type "xpm" doesn't exist" error, can you
test the patch I've included ?

%changelog - 3.4.26-3
- Fixed xcircuit.desktop and removed unneccessary installation for manual
- Used update-desktop-database in %%post and %%postun
- patch for "image type "xpm" doesn't exist"
Comment 5 Mamoru TASAKA 2006-08-25 04:53:26 EDT
Well, I have not yet tested 3.4.26-3, however, I have 
noticed one thing which may solve the problem "image type "xpm" doesn't exist" 
problem.

When I rebuilt 3.4.26-2 WITH mock, I always get the error above,
However, when I rebuilt 3.4.26-2 WITHOUT mock (i.e. usual "rpmbuild"),
it seems that I don't get the error.

So I suspect that some BR are missing and something needed is not
rebuilt or created. I attach the build logs with/without mock.

Currently, I get errors on mock build so I cannot check 3.4.26-3
with/without mock.
Comment 6 Mamoru TASAKA 2006-08-25 04:56:07 EDT
Created attachment 134899 [details]
Build log of 3.4.26-2 withOUT mock

Build log of 3.4.26-2 with normal rpmbuild.
Comment 7 Mamoru TASAKA 2006-08-25 05:01:10 EDT
Created attachment 134900 [details]
Build log of 3.4.26-2 WITH mock

Build log of 3.4.26-2 WITH mock.

Through quick check, I am concerned in the following diff:

 checking if -Wno-pointer-sign accepted in CFLAGS... yes
-checking for deflate in -lz... yes
+checking for deflate in -lz... no
 checking for va_copy... yes
 checking for __va_copy... yes
 checking if u_char defined... yes
-checking X11/xpm.h usability... yes
-checking X11/xpm.h presence... yes
-checking for X11/xpm.h... yes
-checking for XpmCreateImageFromData in -lXpm... yes
+checking X11/xpm.h usability... no
+checking X11/xpm.h presence... no
+checking for X11/xpm.h... no
+configure: WARNING: Xpm header not found
 checking for ld used by GCC... /usr/bin/ld
 checking if the linker (/usr/bin/ld) is GNU ld... yes
Comment 8 Chitlesh GOORAH 2006-08-25 05:15:10 EDT
In accordance to
http://opencircuitdesign.com/pipermail/xcircuit-dev/2006/000232.html,
I've patched the wrapper.tcl.

If this doesn't help I'll add libXpm-devel and zlib-devel as BR
Comment 9 Mamoru TASAKA 2006-08-25 05:27:52 EDT
Chitlesh, surely I received your mail and I redownloaded
3.4.26-3 .

Currently as mentioned on comment #5 mock build fails because of
mock itself, not because of your srpm so I cannot check your
package now.
Comment 10 Mamoru TASAKA 2006-08-25 08:01:20 EDT
Well, I temporally downgraded yum to 2.9.3-2 to use mock.

(In reply to comment #8)
> In accordance to
> http://opencircuitdesign.com/pipermail/xcircuit-dev/2006/000232.html,
> I've patched the wrapper.tcl.
> 
> If this doesn't help I'll add libXpm-devel and zlib-devel as BR

Well, mock build 3.4.26-3.fc6 still bear the same error, no icons
appear on left side, while normal rpmbuild 3.4.26-3 seems okay.
Try adding some BR.

BTW, %SOURCE2 (xcircuit.png) is something that one can get from
some URL? If so, specify the URL where xcircuit.png exists.
Comment 11 Mamoru TASAKA 2006-08-25 08:02:42 EDT
(In reply to comment #10)
> Well, mock build 3.4.26-3.fc6 still bear the same error, no icons
> appear on left side, 

Oops.. I meant no icons appear on RIGHT side......
Comment 12 Chitlesh GOORAH 2006-08-25 10:58:42 EDT
> Well, mock build 3.4.26-3.fc6 still bear the same error, no icons
> appear on right side, 

What do you mean? in the kmenu/gnome menu ? 
 
> BTW, %SOURCE2 (xcircuit.png) is something that one can get from
> some URL? If so, specify the URL where xcircuit.png exists.
> 

The original png is from
http://opencircuitdesign.com/xcircuit/archive/xcircuit.xpm
but I've changed it to 32x32 in order to use you it in the kmenu/gnome menu
Comment 13 Mamoru TASAKA 2006-08-25 11:22:18 EDT
Created attachment 134927 [details]
snapshot of xcircuit build in mock

(In reply to comment #12)
> > Well, mock build 3.4.26-3.fc6 still bear the same error, no icons
> > appear on right side, 
> 
> What do you mean? in the kmenu/gnome menu ? 

I don't use KDE, so I usually use GNOME.
When using 3.4.26-3 rebuild by normal rpmbuild, I can see some colorful
icons on the right side.

On the other hand when using 3.4.26-3.fc6, the same error appears
and no icons appear.
Please see the attached snapshot of xcircuit-3.4.26-3.fc6 in
GNOME.
Comment 14 Mamoru TASAKA 2006-08-25 11:26:58 EDT
Created attachment 134930 [details]
snapshot of xcircuit build by usual rpmbuild

snapshot of 3.4.26-3 rebuild by usual rpmbuild.
I can see some colorful icons on the right side, perhaps
which is expected.
Comment 15 Chitlesh GOORAH 2006-08-25 11:32:48 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-4.src.rpm

%changelog
- Added libXt-devel and zlib-devel as BR
Comment 16 Haïkel Guémar 2006-08-25 11:37:00 EDT
I tested the rpm, it worked fine on x86.
I got the same result as here.
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=134930&action=view
Comment 17 Mamoru TASAKA 2006-08-25 12:28:51 EDT
(In reply to comment #15)
> Updated:
> Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
> SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-4.src.rpm
> 
> %changelog
> - Added libXt-devel and zlib-devel as BR

Still not okay for me. Adding libXpm-devel for BR furthermore
seems to work well.

Comment 18 Chitlesh GOORAH 2006-08-25 15:19:26 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-5.src.rpm

- Added libXpm-devel as BR to prevent "image type "xpm" doesn't exist" error

Comment 19 Mamoru TASAKA 2006-08-25 22:37:24 EDT
Seems functionally okay.
Moving to final check.
Comment 20 Mamoru TASAKA 2006-08-26 03:14:53 EDT
Still I am checking......

Remove windows related files, i.e. please remove
/usr/share/doc/xcircuit-3.4.26/examples/win32 .
Comment 21 Chitlesh GOORAH 2006-08-26 05:18:13 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-6.src.rpm
Comment 22 Mamoru TASAKA 2006-08-26 08:27:32 EDT
Fully checked. 

The remained things are:

From http://fedoraproject.org/wiki/Packaging/Guidelines :

* Using %{buildroot} and %{optflags} vs 
  $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
  You use both %{_builddir} and $RPM_BUILD_ROOT . Choose one
  (although this is very cosmetic).

From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
- All is okay.

Other packaging issues:
* %{__rm} %{_builddir}/%{name}-%{version}/examples/.xcircuitrc
  The explicit description of the directory 
  %{_builddir}/%{name}-%{version}/ is not necessary because the
  working directory is that directory.

* Well, you removed /usr/share/man/man1/xcircuit.1.gz and decided to
  install /usr/lib/xcircuit-3.4/man/xcircuit.1 , right? However,
  by doing this the simple use of "man xcircuit" no longer works,
  I have to explicitly point to the manual file
  "man /usr/lib/xcircuit-3.4/man/xcircuit.1", which is unpleasant to
  me. Could you explain why?

Other functional issues:
- All is okay. xcircuit surely works.
Comment 23 Chitlesh GOORAH 2006-08-26 10:45:53 EDT
Updated:
Spec URL: http://chitlesh.funpic.de/rpm/xcircuit.spec
SRPM URL: http://chitlesh.funpic.de/rpm/xcircuit-3.4.26-7.src.rpm

Comment 24 Mamoru TASAKA 2006-08-26 11:27:04 EDT
Sorry, one thing I missed to notice....

%{__cp} %{SOURCE2} %{buildroot}%{_datadir}/.....
Please use %{__cp} -p to keep timestamp.

Aside for above, nothing to be fixed is left.

Now I am pleased to say that this package (xcircuit) is
APPROVED.

----------------------------------------------------
BTW, if you don't mind, would you review my package
(bug 204112) ? (this package is usually for Japanese
people using a BBS known to Japanese people)
Comment 25 Chitlesh GOORAH 2006-08-26 13:59:45 EDT
The build of x86_64 is failing :(

+ /bin/rm
/var/tmp/xcircuit-3.4.26-9.fc5-root-mockbuild/usr/lib64/xcircuit-3.4/man/xcircuit.1
/bin/rm: cannot remove
`/var/tmp/xcircuit-3.4.26-9.fc5-root-mockbuild/usr/lib64/xcircuit-3.4/man/xcircuit.1':
No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.6460 (%install)

http://buildsys.fedoraproject.org/build-status/job.psp?uid=14606
Comment 26 Mamoru TASAKA 2006-08-26 14:05:47 EDT
* %{__rm} %{buildroot}%{_libdir}/%{name}-3.4/man/%{name}.1

build log (on x86_64) says:

/usr/bin/install -c -m 644 lib/xcircuit.1
/var/tmp/xcircuit-3.4.26-9.fc5-root-mockbuild/usr/lib/xcircuit-3.4/man/xcircuit.1

So, a very simple idea is to change to:

%{__rm} %{buildroot}%{_prefix}/lib*/%{name}-3.4/man/%{name}.1

or to change Makefile.
Comment 27 Chitlesh GOORAH 2006-08-26 14:50:16 EDT
+ /bin/rm
/var/tmp/xcircuit-3.4.26-12.fc5-root-mockbuild/usr/lib/xcircuit-3.4/man/xcircuit.1

As you can see this one is OK

+ chmod -x
/var/tmp/xcircuit-3.4.26-12.fc5-root-mockbuild/usr/lib/xcircuit-3.4/console.tcl
chmod: cannot access
`/var/tmp/xcircuit-3.4.26-12.fc5-root-mockbuild/usr/lib/xcircuit-3.4/console.tcl':
No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.80812 (%install)

but it fails here.
Comment 28 Mamoru TASAKA 2006-08-26 14:52:25 EDT
Well, I looked at the log of -11
http://buildsys.fedoraproject.org/logs/fedora-5-extras/14611-xcircuit-3.4.26-11.fc5/

The build log says that configure failed to find tclConfig.sh
and so finally /usr/lib*/xcircuit-3.4/console.tcl is not created.

<snip>
checking for tclConfig.sh... 
can't find Tcl configuration script "tclConfig.sh"
Reverting to non-Tcl compilation
<snip>

I checked tcl-devel-8.4.13-1.1.x86_64 and tclConfig.sh was at
/usr/lib64/tclConfig.sh .

xcircuit configure seems to have the option:
 --with-tcl=DIR          Find tclConfig.sh in DIR
Try this.
Comment 29 Mamoru TASAKA 2006-08-27 01:09:48 EDT
Build of xcircuit-3.4.26-16.fc{5,6} succeeded on all archs
(i386, x86_64, ppc).

Please check:
http://buildsys.fedoraproject.org/build-status/job.psp?uid=14637
http://buildsys.fedoraproject.org/build-status/job.psp?uid=14638

Closing this bug as CLOSED NEXTRELEASE.
Comment 30 Chitlesh GOORAH 2006-08-27 06:03:29 EDT
Hehehe thanks :)
Comment 31 Mamoru TASAKA 2006-09-04 12:33:33 EDT
Chitlesh,

owner.list entry for xcircuit has a typo. It says "xcicuit".
Please fix owner.list .

http://fedoraproject.org/wiki/Extras/PackageStatus
Comment 32 Chitlesh GOORAH 2006-09-04 13:39:21 EDT
Thanks Mamoru, you are simply great.
I've corrected it.
Comment 33 Chitlesh GOORAH 2008-11-07 19:16:58 EST
Package Change Request
=======================
Package Name: xcircuit
Short Description: Electronic circuit schematic drawing program
Owners: chitlesh
Branches: EL-5
Comment 34 Kevin Fenzi 2008-11-10 11:57:04 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.